# inspect_string.Foo class

The foo class

## Classes

class Subclass
  A subclass of Foo

## Enums

class InnerEnum(enum.Enum): VALUE = 0 ANOTHER = 1 YAY = 2
  Inner enum
class UndocumentedInnerEnum(enum.IntFlag): FLAG_ONE = 1 FLAG_SEVENTEEN = 17

## Class methods

def func_on_class(a)
  A class method

## Static methods

def static_func(a)
  A static method

## Methods

def func(self, a, b)
  A method

## Properties

a_property get
  A property
deletable_property get del
  Deletable property
writable_property get set
  Writable property
writeonly_property set
  Write-only property

## Data

A_DATA = 'BOO'
DATA_DECLARATION: int = None

## Enum documentation

### class inspect_string.Foo.InnerEnum(enum.Enum)

Inner enum

Enumerators |
--- | ---
VALUE | A value
ANOTHER | Another value
YAY |